#///  Setup Env indicator
#///  -------------------

MK_DIR=./Contrib/environment_indicator/mk
include ${MK_DIR}/env_indicator.mk

## Set env indicator
.PHONY: set-env-indicator
set-env-indicator:
ifdef ENV_INDCATOR_NAME
ifneq ("$(wildcard ${WEBSITE_SETTINGS_LOCAL})","")
	chmod 2755 ${WEBSITE_SETTINGS_LOCAL} &&\
	chmod 0666 ${WEBSITE_SETTINGS_LOCAL} &&\
	sed -i "/\$$config\[\x27environment_indicator.indicator\x27\]/d"  ${WEBSITE_SETTINGS_LOCAL}
	echo "\n\$$config['environment_indicator.indicator']['name'] = "  ${ENV_INDCATOR_NAME}  >> ${WEBSITE_SETTINGS_LOCAL}
	echo "\n\$$config['environment_indicator.indicator']['bg_color'] = "  ${ENV_INDCATOR_BG_COLOR}  >> ${WEBSITE_SETTINGS_LOCAL}
	echo "\n\$$config['environment_indicator.indicator']['fg_color'] = "  ${ENV_INDCATOR_FG_COLOR}  >> ${WEBSITE_SETTINGS_LOCAL}
	chmod 0644 ${WEBSITE_SETTINGS_PHP}
endif
endif
